return {
    {
        "ms-jpq/coq_nvim",
        branch = 'coq',
        build = function(_)
            vim.cmd("COQdeps")
        end,
        config = function(_, _)
            vim.cmd("COQnow -s")
        end,
        init = function(_)
            vim.g.coq_settings = {
                display = {
                    ghost_text = {
                        enabled = true,
                        context = { "", "" },
                        highlight_group = "NonText"
                    },
                    pum = {
                        fast_close = false,
                        kind_context = { " ", " " },
                        source_context = { "", " " },
                    },
                    icons = {
                        spacing = 1,
                        mode = "short"
                    },
                    preview = {
                        border = "single",
                        x_max_len = 25,
                    }
                }
            }
        end,
        dependencies = {
            {
                'ms-jpq/coq.artifacts',
                branch = "artifacts"
            },
            {
                "ms-jpq/coq.thirdparty",
                branch = "3p"
            }
        }
    }
}
